## org.eclipse.emf.ecore.impl
Class EClassImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EClassifierImpl
                                  org.eclipse.emf.ecore.impl.EClassImpl

All Implemented Interfaces:
  Notifier, EClass, EClassifier, EModelElement, ENamedElement, EObject, ESuperAdapter.Holder, InternalEObject, BasicExtendedMetaData.EClassifierExtendedMetaData.Holder

    public class EClassImpl

extends EClassifierImpl
implements EClass, ESuperAdapter.Holder

An implementation of the model object 'EClass'.

Nested Class Summary
`static interface` `EClassImpl.FeatureSubsetSupplier`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected static boolean` `ABSTRACT_EDEFAULT` The default value of the '`Abstract`' attribute
`protected static int` `ABSTRACT_EFLAG` The flag representing the value of the '`Abstract`' attribute
`protected BasicEList<EAttribute>` `eAllAttributes`
`protected BasicEList<EReference>` `eAllContainments`
`protected BasicEList<EGenericType>` `eAllGenericSuperTypes`
`protected BasicEList<EOperation>` `eAllOperations`
`protected BasicEList<EReference>` `eAllReferences`
`protected BasicEList<EStructuralFeature>` `eAllStructuralFeatures`
`protected EStructuralFeature[]` `eAllStructuralFeaturesData`
`protected BasicEList<EClass>` `eAllSuperTypes`
`protected BasicEList<EAttribute>` `eAttributes` The cached value of the '`EAttributes`' containment reference list
`protected EList<EGenericType>` `eGenericSuperTypes` The cached value of the '`EGeneric Super Types`' containment reference list
`protected EAttribute` `eIDAttribute`
`protected java.util.Map<java.lang.String,EStructuralFeature>` `eNameToFeatureMap`
`protected EList<EOperation>` `eOperations` The cached value of the '`EOperations`' containment reference list
`protected BasicEList<EReference>` `eReferences` The cached value of the '`EReferences`' containment reference list
`protected EList<EStructuralFeature>` `eStructuralFeatures` The cached value of the '`EStructural Features`' containment reference list
`protected ESuperAdapter` `eSuperAdapter`
`protected EList<EClass>` `eSuperTypes` The cached value of the '`ESuper Types`' reference list
`protected static boolean` `INTERFACE_EDEFAULT` The default value of the '`Interface`' attribute
`protected static int` `INTERFACE_EFLAG` The flag representing the value of the '`Interface`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.EClassifierImpl
`DEFAULT_VALUE_EDEFAULT, eClassifierExtendedMetaData, eTypeParameters, generatedInstanceClassName, INSTANCE_CLASS_EDEFAULT, INSTANCE_CLASS_NAME_EDEFAULT, instanceClass, instanceClassName, instanceTypeName, metaObjectID`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eProxyURI`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `EClassImpl()`

Method Summary
`protected boolean` `dynamicIsInstance(EObject eObject)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`EObject` `eObjectForURIFragmentSegment(java.lang.String uriFragmentSegment)` Returns the object resolved by the fragment segment.
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eSetDeliver(boolean deliver)` Sets whether this notifier will deliver notifications to the adapters.
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`protected void` `freeze()`
`EList<EAttribute>` `getEAllAttributes()` Returns the value of the 'EAll Attributes' reference list.
`EList<EReference>` `getEAllContainments()` Returns the value of the 'EAll Containments' reference list.
`EList<EGenericType>` `getEAllGenericSuperTypes()`
`EList<EOperation>` `getEAllOperations()`
`EList<EReference>` `getEAllReferences()` Returns the value of the 'EAll References' reference list.
`EList<EStructuralFeature>` `getEAllStructuralFeatures()`
`protected EStructuralFeature[]` `getEAllStructuralFeaturesData()`
`EList<EClass>` `getEAllSuperTypes()` Returns all the supe rtypes in the hierarchy.
`EList<EAttribute>` `getEAttributes()`
`EList<EGenericType>` `getEGenericSuperTypes()`
`EAttribute` `getEIDAttribute()`
`EList<EOperation>` `getEOperations()`
`EList<EReference>` `getEReferences()`
`EStructuralFeature` `getEStructuralFeature(int featureID)` Returns the feature with this ID.
`EStructuralFeature` `getEStructuralFeature(java.lang.String name)` Returns the feature with this name.
`EList<EStructuralFeature>` `getEStructuralFeatures()`
`ESuperAdapter` `getESuperAdapter()`
`EList<EClass>` `getESuperTypes()` Returns the value of the 'ESuper Types' reference list.
`int` `getFeatureCount()`
`int` `getFeatureID(EStructuralFeature feature)`
`boolean` `isAbstract()`
`boolean` `isFrozen()`
`boolean` `isInterface()`
`boolean` `isSetEGenericSuperTypes()`
`boolean` `isSetESuperTypes()`
`boolean` `isSuperTypeOf(EClass someClass)` Determines if the class or interface represented by this Class object is either the same as, or is a super class or super interface of, the class or interface represented by the specified someClass parameter.
`void` `setAbstract(boolean newAbstract)`
`void` `setInterface(boolean newInterface)`
`java.lang.String` `toString()`
`void` `unsetEGenericSuperTypes()`
`void` `unsetESuperTypes()`

Methods inherited from class org.eclipse.emf.ecore.impl.EClassifierImpl

`basicGetEPackage, basicSetInstanceClassName, basicSetInstanceTypeName, eBasicRemoveFromContainerFeature, eBasicSetContainer, getClassForName, getClassifierID, getDefaultValue, getEPackage, getEPackageGen, getETypeParameters, getExtendedMetaData, getInstanceClass, getInstanceClassGen, getInstanceClassName, getInstanceClassNameGen, getInstanceTypeName, getPrimitiveOrArrayClass, isInstance, isSetInstanceClassName, isSetInstanceTypeName, setClassifierID, setExtendedMetaData, setGeneratedInstanceClass, setInstanceClass, setInstanceClassGen, setInstanceClassName, setInstanceClassNameGen, setInstanceTypeName, setName, unsetInstanceClassName, unsetInstanceTypeName`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProperties, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EClassifier
`getClassifierID, getDefaultValue, getEPackage, getETypeParameters, getInstanceClass, getInstanceClassName, getInstanceTypeName, isInstance, setInstanceClass, setInstanceClassName, setInstanceTypeName`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### eIDAttribute

    protected EAttribute eIDAttribute

### eAllAttributes

    protected BasicEList<EAttribute> eAllAttributes

### eAllReferences

    protected BasicEList<EReference> eAllReferences

### eAllStructuralFeatures

    protected BasicEList<EStructuralFeature> eAllStructuralFeatures

### eAllStructuralFeaturesData

    protected EStructuralFeature[] eAllStructuralFeaturesData

### eAllContainments

    protected BasicEList<EReference> eAllContainments

### eAllOperations

    protected BasicEList<EOperation> eAllOperations

### eAllSuperTypes

    protected BasicEList<EClass> eAllSuperTypes

### eAllGenericSuperTypes

    protected BasicEList<EGenericType> eAllGenericSuperTypes

### eNameToFeatureMap

    protected java.util.Map<java.lang.String,EStructuralFeature> eNameToFeatureMap

### eSuperAdapter

    protected ESuperAdapter eSuperAdapter

### ABSTRACT_EDEFAULT

    protected static final boolean ABSTRACT_EDEFAULT

  The default value of the '`Abstract`' attribute.

  See Also:
    `isAbstract()`, Constant Field Values

### ABSTRACT_EFLAG

    protected static final int ABSTRACT_EFLAG

  The flag representing the value of the '`Abstract`' attribute.

  See Also:
    `isAbstract()`, Constant Field Values

### INTERFACE_EDEFAULT

    protected static final boolean INTERFACE_EDEFAULT

  The default value of the '`Interface`' attribute.

  See Also:
    `isInterface()`, Constant Field Values

### INTERFACE_EFLAG

    protected static final int INTERFACE_EFLAG

  The flag representing the value of the '`Interface`' attribute.

  See Also:
    `isInterface()`, Constant Field Values

### eSuperTypes

    protected EList<EClass> eSuperTypes

  The cached value of the '`ESuper Types`' reference list.

  See Also:
    `getESuperTypes()`

### eOperations

    protected EList<EOperation> eOperations

  The cached value of the '`EOperations`' containment reference list.

  See Also:
    `getEOperations()`

### eReferences

    protected BasicEList<EReference> eReferences

  The cached value of the '`EReferences`' containment reference list.

  See Also:
    `getEReferences()`

### eAttributes

    protected BasicEList<EAttribute> eAttributes

  The cached value of the '`EAttributes`' containment reference list.

  See Also:
    `getEAttributes()`

### eStructuralFeatures

    protected EList<EStructuralFeature> eStructuralFeatures

  The cached value of the '`EStructural Features`' containment reference list.

  See Also:
    `getEStructuralFeatures()`

### eGenericSuperTypes

    protected EList<EGenericType> eGenericSuperTypes

  The cached value of the '`EGeneric Super Types`' containment reference list.

  See Also:
    `getEGenericSuperTypes()`

Constructor Detail

### EClassImpl

    protected EClassImpl()

Method Detail

### freeze

    protected void freeze()

  Overrides:
    `freeze` in class `EModelElementImpl`

### isFrozen

    public boolean isFrozen()

  Specified by:
    `isFrozen` in interface `ESuperAdapter.Holder`
  Overrides:
    `isFrozen` in class `EModelElementImpl`

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `EClassifierImpl`

### getEIDAttribute

    public EAttribute getEIDAttribute()

  Specified by:
    `getEIDAttribute` in interface `EClass`
  Returns:
    the value of the 'EID Attribute' reference.
  See Also:
    `EAttribute.isID()`, `EcorePackage.getEClass_EIDAttribute()`

### getEStructuralFeatures

    public EList<EStructuralFeature> getEStructuralFeatures()

  Specified by:
    `getEStructuralFeatures` in interface `EClass`
  Returns:
    the value of the 'EStructural Features' containment reference list.
  See Also:
    `EcorePackage.getEClass_EStructuralFeatures()`, `EStructuralFeature.getEContainingClass()`

### getEGenericSuperTypes

    public EList<EGenericType> getEGenericSuperTypes()

  Specified by:
    `getEGenericSuperTypes` in interface `EClass`
  Returns:
    the value of the 'EGeneric Super Types' containment reference list.
  See Also:
    `EClass.getESuperTypes()`, `EcorePackage.getEClass_EGenericSuperTypes()`

### unsetEGenericSuperTypes

    public void unsetEGenericSuperTypes()

### isSetEGenericSuperTypes

    public boolean isSetEGenericSuperTypes()

### getEAllGenericSuperTypes

    public EList<EGenericType> getEAllGenericSuperTypes()

  Specified by:
    `getEAllGenericSuperTypes` in interface `EClass`
  Returns:
    the value of the 'EAll Generic Super Types' reference list.
  See Also:
    `EClass.getEGenericSuperTypes()`, `EClass.getEAllSuperTypes()`, `EcorePackage.getEClass_EAllGenericSuperTypes()`

### getEAllAttributes

    public EList<EAttribute> getEAllAttributes()

  Description copied from interface: `EClass`
  Returns the value of the 'EAll Attributes' reference list. The list contents are of type `EAttribute`.

  It represents the closure of all attributes, inherited and local.

  Specified by:
    `getEAllAttributes` in interface `EClass`
  Returns:
    the value of the 'EAll Attributes' reference list.
  See Also:
    `EcorePackage.getEClass_EAllAttributes()`

### getEAllReferences

    public EList<EReference> getEAllReferences()

  Description copied from interface: `EClass`
  Returns the value of the 'EAll References' reference list. The list contents are of type `EReference`.

  It represents the closure of all references, inherited and local.

  Specified by:
    `getEAllReferences` in interface `EClass`
  Returns:
    the value of the 'EAll References' reference list.
  See Also:
    `EcorePackage.getEClass_EAllReferences()`

### getEReferences

    public EList<EReference> getEReferences()

  Specified by:
    `getEReferences` in interface `EClass`
  Returns:
    the value of the 'EReferences' reference list.
  See Also:
    `EcorePackage.getEClass_EReferences()`

### getEAttributes

    public EList<EAttribute> getEAttributes()

  Specified by:
    `getEAttributes` in interface `EClass`
  Returns:
    the value of the 'EAttributes' reference list.
  See Also:
    `EcorePackage.getEClass_EAttributes()`

### getEAllStructuralFeatures

    public EList<EStructuralFeature> getEAllStructuralFeatures()

  Specified by:
    `getEAllStructuralFeatures` in interface `EClass`
  Returns:
    the value of the 'EAll Structural Features' reference list.
  See Also:
    `EcorePackage.getEClass_EAllStructuralFeatures()`

### getEAllOperations

    public EList<EOperation> getEAllOperations()

  Specified by:
    `getEAllOperations` in interface `EClass`
  Returns:
    the value of the 'EAll Operations' reference list.
  See Also:
    `EcorePackage.getEClass_EAllOperations()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `EClassifierImpl`
  See Also:
    `InternalEObject.eGet(EStructuralFeature, boolean, boolean)`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `EClassifierImpl`
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `EClassifierImpl`
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `EClassifierImpl`
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### getEAllContainments

    public EList<EReference> getEAllContainments()

  Description copied from interface: `EClass`
  Returns the value of the 'EAll Containments' reference list. The list contents are of type `EReference`.

  It represents the closure of all references, inherited and local, that are `containments`. These features will determine the `EObject.eContents()` of an instance.

  Specified by:
    `getEAllContainments` in interface `EClass`
  Returns:
    the value of the 'EAll Containments' reference list.
  See Also:
    `EcorePackage.getEClass_EAllContainments()`

### getEStructuralFeature

    public EStructuralFeature getEStructuralFeature(java.lang.String name)

  Description copied from interface: `EClass`
  Returns the feature with this name.

  Specified by:
    `getEStructuralFeature` in interface `EClass`
  Returns:
    the feature with this name.

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `EClassifierImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `EClassifierImpl`

### getEAllStructuralFeaturesData

    protected EStructuralFeature[] getEAllStructuralFeaturesData()

### getFeatureCount

    public int getFeatureCount()

  Specified by:
    `getFeatureCount` in interface `EClass`
  Returns:
    the number of features.

### getEStructuralFeature

    public EStructuralFeature getEStructuralFeature(int featureID)

  Description copied from interface: `EClass`
  Returns the feature with this ID.

  Specified by:
    `getEStructuralFeature` in interface `EClass`
  Returns:
    the feature with this ID.

### getFeatureID

    public int getFeatureID(EStructuralFeature feature)

  Specified by:
    `getFeatureID` in interface `EClass`
  Returns:
    the ID of the feature relative to this class, or -1 if the feature is not in this class.

### isAbstract

    public boolean isAbstract()

  Specified by:
    `isAbstract` in interface `EClass`
  Returns:
    the value of the 'Abstract' attribute.
  See Also:
    `EClass.setAbstract(boolean)`, `EcorePackage.getEClass_Abstract()`

### setAbstract

    public void setAbstract(boolean newAbstract)

  Specified by:
    `setAbstract` in interface `EClass`
  Parameters:
    `newAbstract` - the new value of the 'Abstract' attribute.
  See Also:
    `EClass.isAbstract()`

### isInterface

    public boolean isInterface()

  Specified by:
    `isInterface` in interface `EClass`
  Returns:
    the value of the 'Interface' attribute.
  See Also:
    `EClass.setInterface(boolean)`, `EcorePackage.getEClass_Interface()`

### setInterface

    public void setInterface(boolean newInterface)

  Specified by:
    `setInterface` in interface `EClass`
  Parameters:
    `newInterface` - the new value of the 'Interface' attribute.
  See Also:
    `EClass.isInterface()`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `EClassifierImpl`

### getESuperTypes

    public EList<EClass> getESuperTypes()

  Description copied from interface: `EClass`
  Returns the value of the 'ESuper Types' reference list. The list contents are of type `EClass`.

  It represents the super types in the Java sense, i.e., the super class and the direct implemented interfaces, and is derived from the `generic super types`.

  Specified by:
    `getESuperTypes` in interface `EClass`
  Returns:
    the value of the 'ESuper Types' reference list.
  See Also:
    `EClass.getEGenericSuperTypes()`, `EClass.getEAllSuperTypes()`, `EcorePackage.getEClass_ESuperTypes()`

### unsetESuperTypes

    public void unsetESuperTypes()

### isSetESuperTypes

    public boolean isSetESuperTypes()

### getEOperations

    public EList<EOperation> getEOperations()

  Specified by:
    `getEOperations` in interface `EClass`
  Returns:
    the value of the 'EOperations' containment reference list.
  See Also:
    `EcorePackage.getEClass_EOperations()`, `EOperation.getEContainingClass()`

### isSuperTypeOf

    public boolean isSuperTypeOf(EClass someClass)

  Determines if the class or interface represented by this Class object is either the same as, or is a super class or super interface of, the class or interface represented by the specified someClass parameter. Semantics are the same as java.lang.Class#isAssignableFrom

  Specified by:
    `isSuperTypeOf` in interface `EClass`
  Parameters:
    `someClass` - some other class.
  Returns:
    whether this class is the same as, or a super type of, some other class.
  See Also:
    `Class.isAssignableFrom(java.lang.Class<?>)`

### getEAllSuperTypes

    public EList<EClass> getEAllSuperTypes()

  Returns all the supe rtypes in the hierarchy.

  Specified by:
    `getEAllSuperTypes` in interface `EClass`
  Returns:
    the value of the 'EAll Super Types' reference list.
  See Also:
    `EClass.getESuperTypes()`, ``, `EcorePackage.getEClass_EAllSuperTypes()`

### dynamicIsInstance

    protected boolean dynamicIsInstance(EObject eObject)

  Overrides:
    `dynamicIsInstance` in class `EClassifierImpl`

### getESuperAdapter

    public ESuperAdapter getESuperAdapter()

  Specified by:
    `getESuperAdapter` in interface `ESuperAdapter.Holder`

### eSetDeliver

    public void eSetDeliver(boolean deliver)

  Description copied from interface: `Notifier`
  Sets whether this notifier will deliver notifications to the adapters.

  Specified by:
    `eSetDeliver` in interface `Notifier`
  Overrides:
    `eSetDeliver` in class `EObjectImpl`
  Parameters:
    `deliver` - whether or not to deliver.
  See Also:
    `Notifier.eDeliver()`

### eObjectForURIFragmentSegment

    public EObject eObjectForURIFragmentSegment(java.lang.String uriFragmentSegment)

  Description copied from interface: `InternalEObject`
  Returns the object resolved by the fragment segment.

  The fragment segment encoding will typically be of the form returned by `eURIFragmentSegment`.

  Specified by:
    `eObjectForURIFragmentSegment` in interface `InternalEObject`
  Overrides:
    `eObjectForURIFragmentSegment` in class `EModelElementImpl`
  Parameters:
    `uriFragmentSegment` - a fragment segment.
  Returns:
    the fragment segment that resolves to the given object in this object's given feature.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.